## Joe header

Web component to be consumed on joe and the juice websites. Currently this is packaged and published to npm.

## How to use

After publishing to npm then it is possible to use unpkg to import the module.

If a new version is available then use that version in the path, e.g. https://unpkg.com/joe-header@0.1.new-version/dist/joeheader.js

Add this to the index.html file of the project where you want to use the header.

```html
<!-- index.html -->
...
<body>
  <joe-header></joe-header>
  <script type="module" src="https://unpkg.com/joe-header@2.0.1/dist/joe-header.js"></script>
</body>
...
```

## CLI Commands

ALWAYS REMEMBER TO BUNBLDE FIRST

```bash
# Install dependencies.
yarn install

# Serve with hot reload at localhost.
yarn dev

# Build npm ready bundles to be consumed by other web apps. Builds to dist folder.
yarn build

# Usefull command to patch version number (x.x.x+1). Can also be done in package.json manually.
npm version patch

# Publish new build to npm. Build a new widget and increase version number in order to publish.
npm publish
```

## Beta tags

1. `yarn build`
2. Modify version in package.json to the following format (match with existing verion numbers etc) `"version": "0.1.120-beta.1"` where beta.x is the number of those betas
3. Publish to npm `npm publish --tag beta`

There are two options for install:

- Always install beta with `npm install packagename@beta`
- Install specific version with `npm install package@0.1.120-beta.1`
